Skip to main content
GET
/
api
/
external
/
point-earn-rules
Get all point earning rules
curl --request GET \
  --url https://loyalty-admin.appstle.com/api/external/point-earn-rules \
  --header 'X-API-Key: <x-api-key>'
{
  "basePoints": 123,
  "includeSubtotal": true,
  "includeTax": true,
  "name": "<string>",
  "customerNotification": "<string>",
  "includeShippingPoints": true,
  "id": 123,
  "shop": "<string>",
  "excludeCollections": "<string>",
  "createAt": "2023-11-07T05:31:56Z",
  "updateAt": "2023-11-07T05:31:56Z",
  "productId": 123,
  "collectionId": 123,
  "variantId": 123,
  "productData": "<string>",
  "triggeredCount": 123,
  "pointsProvided": 123,
  "collectionData": "<string>",
  "customerFacingLabel": "<string>",
  "socialUrl": "<string>",
  "disableForOnSellProduct": true,
  "autoApprovalDays": 123,
  "enableInterval": true,
  "earnLimit": 123,
  "allowedCustomerTags": "<string>",
  "eligibleForFirstOrder": true,
  "maximumPoints": 123,
  "restrictCustomerTags": "<string>",
  "customerFacingIconUrl": "<string>",
  "serial": 123,
  "excludeOrderTags": "<string>",
  "excludeProducts": "<string>",
  "givePointsToGuestCustomers": true,
  "allowedProductTags": "<string>",
  "restrictProductTags": "<string>",
  "rollBackPointsOnUnsubscribe": true,
  "addAdditionalPoints": true,
  "additionalPoints": 123,
  "refundNotificationLabel": "<string>",
  "disablePointsForDiscountedProduct": true,
  "vipTierId": 123,
  "minimumOrderValue": 123,
  "allowedOrderTags": "<string>",
  "excludeVariantIds": "<string>",
  "applyOnImportedCustomer": true,
  "enableBirthdayPromo": true,
  "promoPointsMultiplier": 123,
  "ruleStartDate": "2023-11-07T05:31:56Z",
  "ruleEndDate": "2023-11-07T05:31:56Z",
  "translations": "<string>",
  "manuallyApprovePoints": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string
required

API key for authentication

Query Parameters

includeInactive
boolean
default:false

Include inactive rules in response (default: false)

Response

Successfully retrieved point earning rules

type
enum<string>
required
Available options:
PURCHASE,
VISIT_SHOP,
REFERRAL,
CREATE_ACCOUNT,
FACEBOOK_PAGE_LIKE,
FOLLOW_TWITTER,
FOLLOW_INSTAGRAM,
BIRTHDAY,
LEAVE_REVIEW,
SUBSCRIBE_NEWSLETTER,
BUY_PRODUCT,
BUY_PRODUCT_FROM_COLLECTION,
LEAVE_REVIEW_STAMPED_IO,
LEAVE_REVIEW_LOOX_IO,
LEAVE_REVIEW_JUDGE_ME,
LEAVE_REVIEW_PRODUCT_REVIEWS,
SUBSCRIPTION,
YOUTUBE,
TIKTOK,
OKENDO,
HELPFULL_PRODUCT_REVIEWS,
RIVYO_PRODUCT_REVIEWS,
REVIEWS_IO,
QUANTITY_BASED_POINTS,
SUBSCRIBE_SMS,
VISIT_PINTEREST,
AIR_REVIEWS,
STATIC_EARN_RULE,
SHARE_ON_FACEBOOK,
SHARE_ON_X,
FIXED_REWARD
status
enum<string>
required
Available options:
ACTIVE,
INACTIVE
basePoints
number<double>
required
includeSubtotal
boolean
required
includeTax
boolean
required
name
string
required
customerNotification
string
required
includeShippingPoints
boolean
required
id
integer<int64>
shop
string
historicPurchaseDuration
enum<string>
Available options:
NONE,
ALL,
ONE_HOUR,
ONE_DAY,
ONE_MONTH,
THREE_MONTH,
ONE_YEAR
excludeCollections
string
createAt
string<date-time>
updateAt
string<date-time>
rewardInterval
enum<string>
Available options:
DAY,
WEEK,
MONTH,
YEAR,
LIFETIME
productId
integer<int64>
collectionId
integer<int64>
variantId
integer<int64>
productData
string
triggeredCount
integer<int64>
pointsProvided
number<double>
collectionData
string
customerFacingLabel
string
socialUrl
string
disableForOnSellProduct
boolean
autoApprovalDays
integer<int32>
enableInterval
boolean
earnLimit
integer<int32>
activityType
enum<string>
Available options:
REGULAR,
REFERRAL,
VIP
allowedCustomerTags
string
eligibleForFirstOrder
boolean
maximumPoints
integer<int32>
restrictCustomerTags
string
customerFacingIconUrl
string
serial
integer<int32>
excludeOrderTags
string
pointBasedOn
enum<string>
Available options:
QUANTITY,
AMOUNT_SPEND,
FLAT_PURCHASE
excludeProducts
string
givePointsToGuestCustomers
boolean
allowedProductTags
string
restrictProductTags
string
rollBackPointsOnUnsubscribe
boolean
addAdditionalPoints
boolean
additionalPoints
number<double>
refundNotificationLabel
string
disablePointsForDiscountedProduct
boolean
platformType
enum<string>
Available options:
POS_ONLY,
ONLINE_STORE,
BOTH
vipTierId
integer<int64>
earnType
enum<string>
Available options:
STORE_CREDIT,
DISCOUNT_CODE,
POINTS
minimumOrderValue
number<double>
allowedOrderTags
string
excludeVariantIds
string
rewardAssignType
enum<string>
Available options:
DYNAMIC,
FIXED
applyOnImportedCustomer
boolean
enableBirthdayPromo
boolean
promoPointsMultiplier
number<double>
ruleStartDate
string<date-time>
ruleEndDate
string<date-time>
translations
string
appliesOn
enum<string>
Available options:
ONE_TIME,
SUBSCRIPTION,
BOTH
manuallyApprovePoints
boolean